<ng-container>
    <mat-card class="result-container" [ngClass]="{'warning-border': parametersChanged}" tabindex="0">
        <mat-card-title>{{resultsHeaderMsg}}</mat-card-title>
          <div>
          <div class="layout" *ngIf="integrationTimeSupplied">
            <mat-card-content class="title"
                              matTooltip="Thermal sensitivity times the weighting correction factor"
                              matTooltipPosition="before">
                Weighted spectral sensitivity
            </mat-card-content>
            <mat-card-content id="zoomWeightedSpectralSensitivity" *ngIf="!suppliedSwitched"
            matTooltip="Thermal sensitivity times the weighting correction factor"
            matTooltipPosition="before">
              {{zoomResults?.weightedSpectralSensitivity}}<ng-container *ngIf="zoomResults?.weightedSpectralSensitivity">&Dagger;</ng-container>
            </mat-card-content>
        </div>
          <div class="layout">
            <mat-card-content class="title"
                              matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
                              matTooltipPosition="before">
                Spectral confusion noise
            </mat-card-content>
            <mat-card-content id="zoomSpectralConfusionNoise" *ngIf="!suppliedSwitched"
            matTooltip="Limit to the achieved sensitivity due to unresolved faint background sources"
            matTooltipPosition="before">
                {{zoomResults?.spectralConfusionNoise}}
            </mat-card-content>
          </div>
          <div class="layout" *ngIf="integrationTimeSupplied">
                <mat-card-content class="title"
                                  matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                                  matTooltipPosition="before">
                    Total spectral sensitivity
                </mat-card-content>
                <mat-card-content id="zoomTotalSpectralSensitivity" *ngIf="!suppliedSwitched"
                matTooltip="Sum in quadrature of weighted sensitivity and confusion noise"
                matTooltipPosition="before">
                    {{zoomResults?.totalSpectralSensitivity}}
                </mat-card-content>
            </div>
          <div class="layout">
            <mat-card-content class="title"
                              matTooltip="Major and minor axes (FWHM) of the synthesized beam"
                              matTooltipPosition="before">
                Spectral synthesized beam-size
            </mat-card-content>
            <mat-card-content id="zoomSpectralSynthesizedBeamSize" *ngIf="!suppliedSwitched"
            matTooltip="Major and minor axes (FWHM) of the synthesized beam"
            matTooltipPosition="before">
                {{zoomResults?.spectralSynthesizedBeamSize}}
            </mat-card-content>
          </div>
          <div class="layout" *ngIf="integrationTimeSupplied">
              <mat-card-content class="title"
                                matTooltip="Brightness sensitivity corresponding to the beam solid angle"
                                matTooltipPosition="before">
                  Spectral surface-brightness sensitivity
              </mat-card-content>
              <mat-card-content id="zoomSpectralSurfaceBrightnessSensitivity" *ngIf="!suppliedSwitched"
              matTooltip="Brightness sensitivity corresponding to the beam solid angle"
              matTooltipPosition="before">
                  {{zoomResults?.spectralSurfaceBrightnessSensitivity}}
              </mat-card-content>
          </div>
          <div class="layout" *ngIf="!integrationTimeSupplied">
              <mat-card-content class="title"
                                matTooltip="Scan data collection duration"
                                matTooltipPosition="before">
                                Spectral integration time
              </mat-card-content>
              <mat-card-content id="zoomSpectralIntegrationTime" *ngIf="!suppliedSwitched"
              matTooltip="Scan data collection duration"
              matTooltipPosition="before">
                  {{zoomResults?.spectralIntegrationTime}}
              </mat-card-content>
          </div>

        </div>
        <br>

        <div >
          <div class="layout">
              <mat-card-content class="title"
                              matTooltip="FWHM of the Rotation Measure Spread Function"
                              matTooltipPosition="before">
                  FWHM of the RMSF
              </mat-card-content>
              <mat-card-content id="zoomFwhmOfTheRMSF" *ngIf="!suppliedSwitched"
                              matTooltip="FWHM of the Rotation Measure Spread Function"
                              matTooltipPosition="before" [innerHTML]="zoomResults?.spectropolarimetryResults?.fwhmOfTheRMSF">
                  {{zoomResults?.spectropolarimetryResults?.fwhmOfTheRMSF}}
              </mat-card-content>
          </div>
          <div class="layout">
              <mat-card-content class="title"
                              matTooltip="Largest Faraday depth scale that can be detected"
                              matTooltipPosition="before">
                  Maximum Faraday depth extent
              </mat-card-content>
              <mat-card-content id="zoomMaximumFaradayDepthExtent" *ngIf="!suppliedSwitched"
                              matTooltip="Largest Faraday depth scale that can be detected"
                              matTooltipPosition="before" [innerHTML]="zoomResults?.spectropolarimetryResults?.maximumFaradayDepthExtent">
              </mat-card-content>
          </div>
          <div class="layout">
              <mat-card-content class="title"
                              matTooltip="Maximum Faraday depth that can be detected"
                              matTooltipPosition="before">
                  Maximum Faraday depth
              </mat-card-content>
              <mat-card-content id="zoomMaximumFaradayDepth" *ngIf="!suppliedSwitched"
                              matTooltip="Maximum Faraday depth that can be detected"
                              matTooltipPosition="before" [innerHTML]="zoomResults?.spectropolarimetryResults?.maximumFaradayDepth">
              </mat-card-content>
          </div>
      </div>
        <mat-error *ngIf="zoomResults?.warnings?.sensLimitReached?.reached && !suppliedSwitched" id="zoomSensLimitWarning">
            {{sensLimitWarning()}}
        </mat-error>
        <mat-error *ngIf="zoomResults?.warnings?.errorMsg && !suppliedSwitched" id="zoomErrorMsg" style="padding-top: 6px;">
            {{zoomResults?.warnings?.errorMsg}}
        </mat-error>
        <mat-error *ngIf="integrationTimeSupplied && zoomResults?.warnings?.integrationTimesDifferent && !suppliedSwitched" id="zoomIntegrationTimeWarning" style="padding-top: 6px;">
            {{differentIntegrationTimeMessage}}
        </mat-error>
    </mat-card>
    <ng-container *ngIf="zoomResults?.weightedSpectralSensitivity">
      &Dagger; Weighting correction factor (single channel)
    </ng-container>
    <mat-error *ngIf="parametersChanged">
        Parameters have changed.
    </mat-error>
</ng-container>
